{
  "name": "dougal-server-web",
  "version": "0.0.0",
  "description": "Dougal web backend",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "postinstall": "test -e node_modules/DOUGAL_ROOT || ln -s .. node_modules/DOUGAL_ROOT; test -e spec && test -e spec/openapi.yaml && node_modules/.bin/redoc-cli bundle ./spec/openapi.yaml -o ./spec/openapi.html || echo API documentation not present or failed to compile >/dev/stderr"
  },
  "author": "Aaltronav s.r.o.",
  "license": "UNLICENSED",
  "private": true,
  "config": {
    "db_schema": "^0.4.2",
    "api": "^0.4.0"
  },
  "engines": {
    "node": ">=18.0.0"
  },
  "os": [
    "linux"
  ],
  "dependencies": {
    "body-parser": "gitlab:aaltronav/contrib/expressjs/body-parser",
    "cookie-parser": "^1.4.5",
    "csv": "^6.3.3",
    "debug": "^4.3.4",
    "express": "^4.17.1",
    "express-jwt": "^8.4.1",
    "json2csv": "^5.0.6",
    "jsonwebtoken": "^9.0.2",
    "leaflet-headless": "git+https://git@gitlab.com/aaltronav/contrib/leaflet-headless.git#devel",
    "marked": "^4.0.12",
    "netmask": "^2.0.2",
    "node-fetch": "^2.6.1",
    "nunjucks": "^3.2.3",
    "pg": "^8.3.3",
    "pg-cursor": "^2.7.3",
    "pg-listen": "^1.7.0",
    "selenium-webdriver": "*",
    "ws": "^7.3.1",
    "yaml": "^2.0.0-0"
  },
  "directories": {
    "lib": "lib"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/wgp/dougal/software.git"
  },
  "bugs": {
    "url": "https://gitlab.com/wgp/dougal/software/issues"
  },
  "homepage": "https://gitlab.com/wgp/dougal/software#readme",
  "devDependencies": {
    "redoc-cli": "^0.13.9"
  }
}
